# files

abstract fun files(@Nullable paths: Array<@Nullable Any>): FileCollection

Returns a FileCollection containing the given files, whose locations are the given paths resolved relative to this directory, as defined by files. This method can also be used to create an empty collection, but the collection may not be mutated later.

#### Return

The file collection.

#### Since

6.0

#### Parameters

paths

The paths to the files. May be empty.